de.esprit.appsuite.project

## Class CodeStatRecord

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.io.csv.CsvRecord
      - - de.esprit.appsuite.project.CodeStatRecord

- All Implemented Interfaces:
    Clearable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class CodeStatRecord
      extends CsvRecord

  This record holds the code statistic values for a single project.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CODE_LINES`
    `static java.lang.String` | `PACKAGES`
    `static java.lang.String` | `PROJECT`
    `static java.lang.String` | `SOURCE_FILES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodeStatRecord(java.lang.String project)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.common.io.csv.CsvRecord

      `clear, getFieldCount, getFieldNames, getValue, getValue, getValues, headLine, parse, setValue, setValue, setValue, setValue, setValue, setValue, toDumpString, toString, valueLine`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROJECT

          public static final java.lang.String PROJECT

      See Also:
        Constant Field Values

    - #### PACKAGES

          public static final java.lang.String PACKAGES

      See Also:
        Constant Field Values

    - #### SOURCE_FILES

          public static final java.lang.String SOURCE_FILES

      See Also:
        Constant Field Values

    - #### CODE_LINES

          public static final java.lang.String CODE_LINES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CodeStatRecord

          public CodeStatRecord(java.lang.String project)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.